## gtester gtester — test running utility |

## Synopsis

`gtester` [option...] [testprogram]

## Description

gtester is a utility to run unit tests that have been written using the GLib test framework.

When called with the `-o` option, gtester writes an XML report of the test results, which can be converted into HTML using the gtester-report utility.

### Options

`-h`, `--help` | print help and exit
`-v`, `--version` | print version information and exit
`--g-fatal-warnings` | make warnings fatal
`-k`, `--keep-going` | continue running after tests failed
`-l` | list paths of available test cases
`-m=`MODE`` | run test cases in `MODE`, which can be perf, slow, thorough or quick. The default mode is quick.
`-p=`TESTPATH`` | only run test cases matching `TESTPATH`
`--seed=`SEEDSTRING`` | run all test cases with random number seed `SEEDSTRING`
`-o=`LOGFILE`` | write the test log to `LOGFILE`
`-q`, `--quiet` | suppress per test binary output
`--verbose` | report success per testcase

## See also

gtester-report(1)